package com.sysu.admin.controller.lz.area;

import com.sysu.admin.support.base.BaseService;
import com.sysu.admin.utils.shape.GeoCastUtil;
import com.xiesx.fastboot.core.jpa.JpaPlusRepository;
import org.geotools.util.factory.GeoTools;
import org.locationtech.jts.geom.Point;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LzAreaService extends BaseService<LzArea, Integer> {

    @Autowired
    LzAreaRepository lzAreaRepository;

    public LzArea findByPoint(String wkt){
        return lzAreaRepository.findByPoint(wkt);
    }

    @Override
    public JpaPlusRepository<LzArea, Integer> r() {
        return lzAreaRepository;
    }
}
